Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2.repository
Class RepositoryResourceHandler

    java.lang.Object
      com.jaspersoft.jasperserver.ws.axis2.repository.RepositoryResourceHandler

All Implemented Interfaces:
  ResourceHandler

Direct Known Subclasses:
  BeanDataSourceHandler, ContentResourceHandler, CustomDataSourceHandler, DataSourceHandler, DataTypeHandler, FileResourceHandler, InputControlHandler, JdbcDataSourceHandler, JndiJdbcDataSourceHandler, ListOfValuesHandler, MondrianConnectionHandler, QueryHandler, ReportUnitHandler, UnknownResourceHandler, XmlaConnectionHandler

    public abstract class RepositoryResourceHandler

extends java.lang.Object
implements ResourceHandler

Version:
  $Id: RepositoryResourceHandler.java 9354 2007-08-06 14:47:57Z lucian $
Author:
  gtoffoli

Constructor Summary
`RepositoryResourceHandler()`

Method Summary
`void` | `copyToResource(Resource resource, ResourceDescriptor descriptor, RepositoryServiceContext serviceContext)`
`void` | `delete(ResourceDescriptor descriptor, RepositoryServiceContext serviceContext)`
`ResourceDescriptor` | `describe(Resource resource, java.util.Map arguments, RepositoryServiceContext serviceContext)`
`protected abstract void` | `doDescribe(Resource resource, ResourceDescriptor descriptor, java.util.Map arguments, RepositoryServiceContext serviceContext)`
`void` | `getAttachments(Resource resource, java.util.Map arguments, ResourceDescriptor descriptor, ResultAttachments attachments, RepositoryServiceContext serviceContext)`
`protected Resource` | `getModifyingParentResource(ServiceRequest request)`
`void` | `put(ServiceRequest request)`
`protected void` | `setCommonAttributes(Resource resource, ResourceDescriptor descriptor)`
`protected Resource` | `toChildResource(ResourceDescriptor descriptor, RepositoryServiceContext context)`
`protected Resource` | `toNewResource(ResourceDescriptor descriptor, RepositoryServiceContext serviceContext)`
`protected abstract void` | `updateResource(Resource resource, ResourceDescriptor descriptor, RepositoryServiceContext serviceContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.ws.axis2.ResourceHandler
`getResourceType`

Constructor Detail

### RepositoryResourceHandler

    public RepositoryResourceHandler()

Method Detail

### describe

    public ResourceDescriptor describe(Resource resource,
                                       java.util.Map arguments,
                                       RepositoryServiceContext serviceContext)
                                throws WSException

  Specified by:
    `describe` in interface `ResourceHandler`
  Throws:
    `WSException`

### setCommonAttributes

    protected void setCommonAttributes(Resource resource,
                                       ResourceDescriptor descriptor)

### doDescribe

    protected abstract void doDescribe(Resource resource,
                                       ResourceDescriptor descriptor,
                                       java.util.Map arguments,
                                       RepositoryServiceContext serviceContext)
                                throws WSException

  Throws:
    `WSException`

### put

    public void put(ServiceRequest request)
             throws WSException

  Specified by:
    `put` in interface `ResourceHandler`
  Throws:
    `WSException`

### getModifyingParentResource

    protected Resource getModifyingParentResource(ServiceRequest request)
                                           throws WSException

  Throws:
    `WSException`

### toNewResource

    protected Resource toNewResource(ResourceDescriptor descriptor,
                                     RepositoryServiceContext serviceContext)
                              throws WSException

  Throws:
    `WSException`

### copyToResource

    public void copyToResource(Resource resource,
                               ResourceDescriptor descriptor,
                               RepositoryServiceContext serviceContext)
                        throws WSException

  Throws:
    `WSException`

### updateResource

    protected abstract void updateResource(Resource resource,
                                           ResourceDescriptor descriptor,
                                           RepositoryServiceContext serviceContext)
                                    throws WSException

  Throws:
    `WSException`

### toChildResource

    protected Resource toChildResource(ResourceDescriptor descriptor,
                                       RepositoryServiceContext context)
                                throws WSException

  Throws:
    `WSException`

### getAttachments

    public void getAttachments(Resource resource,
                               java.util.Map arguments,
                               ResourceDescriptor descriptor,
                               ResultAttachments attachments,
                               RepositoryServiceContext serviceContext)

  Specified by:
    `getAttachments` in interface `ResourceHandler`

### delete

    public void delete(ResourceDescriptor descriptor,
                       RepositoryServiceContext serviceContext)
                throws WSException

  Specified by:
    `delete` in interface `ResourceHandler`
  Throws:
    `WSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.